Page MenuHomePhabricator

branchmap: rename partial -> bcache
ClosedPublic

Authored by mjpieters on Nov 20 2018, 8:45 AM.

Details

Summary

The name better reflects that we have a branchcache object here, even if at
*some point* it is still being constructed.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mjpieters created this revision.Nov 20 2018, 8:45 AM

The goal of this refactor is to bring clarity to the branchmap cache behaviour, and to make it easier to add performance improvements (in an upcoming additional series of patches).

yuja added a subscriber: yuja.Nov 23 2018, 10:24 PM

Can you split this to a couple of patches?

The idea sounds good, but it isn't easy to review formatting changes,
code moves, and interface improvements as a single patch.

mjpieters edited the summary of this revision. (Show Details)Jan 21 2019, 1:07 PM
mjpieters retitled this revision from branchmap: refactor for better encapsulation to branchmap: rename partial -> bcache.
mjpieters updated this revision to Diff 13329.

@yuja: you wanted separate commits, you got separate commits. :-)

(and apologies for taking so long)

martinvonz accepted this revision.Jan 25 2019, 3:20 PM
This revision is now accepted and ready to land.Jan 25 2019, 3:20 PM
This revision was automatically updated to reflect the committed changes.